#!/usr/bin/perl

use POSIX;
use Fuse;

sub my_getdir {
	return (
		'.',
		'Bratwurst',
		'Mettwurst',
		'Teewurst',
		0
	);
}

sub my_getattr {
	my $mode = 0040 << 9 | 0755;
	my $nlink = 1;
	my $uid = $<;
	my ($gid) = split / /, $(;
	my $size = 0;
	my $rdev = 0;
	my $atime = time;
	my $mtime = $atime;
	my $ctime = $atime;
	my $blksize = 1024;
	my $blocks = 1;
	my $dev = 0;
	my $ino = 0;

	return (
		$dev, $ino, $mode, $nlink,
		$uid, $gid, $rdev, $size,
		$atime, $mtime, $ctime, $blksize,
		$blocks
	);
}

Fuse::main(
	mountpoint	=> '/home/sxw/tmp/mnt',
	getdir		=> \&my_getdir,
	getattr		=> \&my_getattr,
	debug		=> 1
);